Overridden smart class parameter name field is too short in the UI

05/22/2014 08:42 AM - Jeff Sault

Status: New   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If using parametised classes and you have a parameter with quite a long name it shows fine in the parameter list associated with a

host (see ok.png). When you override this parameter an additional box is created at the bottom of the page, the parameter name is

shown in a small box with no way to show the full parameter name (see bad.png). Whilst I understand that there should be a box with

limited size could we add the full parameter name elsewhere? Maybe in the tooltip for the box? Today the tooltip just says

'Parameter'.

Related issues:

Is duplicate of Foreman - Feature #4410: Tooltip for puppet parameters Closed 02/21/2014

History

#1 - 05/22/2014 08:46 AM - Dominic Cleal

- Is duplicate of Feature #4410: Tooltip for puppet parameters added

#2 - 05/22/2014 08:47 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the clear report with screenshots!  We'll track this under bug ID #4410 which covers the same issue.

#3 - 08/17/2015 10:05 AM - Dominic Cleal

- Category set to Web Interface

- Status changed from Duplicate to New

Reopening this as the linked issue was "fixed" but without considering this problem.

#4 - 08/17/2015 10:08 AM - Dominic Cleal

- Subject changed from Parameters name field is too short in the UI to Overridden smart class parameter name field is too short in the UI

#5 - 08/17/2015 10:35 AM - Jeff Sault

I dont know if this is helpful or not but what we have done internally is dynamically re-write the parameters page with apache (we're not that much of a

ruby house) to be a little more usable. We rely quite heavily on overridden parameters so it was quite an important thing for us.

This is how our modified parameters page looks:

 Capture.PNG 

Its suits us well, but its currently added in via an apache rewrite. More than happy to provide the code if this is something you are looking to change

upstream.

#6 - 08/17/2015 11:02 AM - Dominic Cleal

It's being attempted, but so far it's just turning out worse than what we have.  #10467 is the ticket and PR if you're interested.

The design is probably of interest, as the code won't be very relevant.  Thanks for sharing.
https://projects.theforeman.org/issues/4410
